# Class MathRadicalProperties

#### Hierarchy

- XmlComponent
  - MathRadicalProperties

- Defined in src/file/paragraph/math/radical/math-radical-properties.ts:5

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new MathRadicalProperties(hasDegree): MathRadicalProperties

- #### Parameters

  - ##### hasDegree: boolean

  #### Returns MathRadicalProperties

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/math/radical/math-radical-properties.ts:6

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc